/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Mobiles\Monsters\Humanoid\Magic\FireGargoyle.cs
Lines of code: 79
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a charred corpse" )]
	public class FireGargoyle : BaseCreature
	{
		[Constructable]
		public FireGargoyle() : base( AIType.AI_Super, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "fire gargoyle" );
			Body = 130;
			BaseSoundID = 0x174;

			SetStr( 351, 400 );
			SetDex( 126, 145 );
			SetInt( 226, 250 );

			SetHits( 211, 240 );

			SetDamage( 7, 14 );

			SetDamageType( ResistanceType.Physical, 20 );
			SetDamageType( ResistanceType.Fire, 80 );

			SetResistance( ResistanceType.Physical, 30, 35 );
			SetResistance( ResistanceType.Fire, 50, 60 );
			SetResistance( ResistanceType.Poison, 20, 30 );
			SetResistance( ResistanceType.Energy, 20, 30 );

			SetSkill( SkillName.Anatomy, 75.1, 85.0 );
			SetSkill( SkillName.EvalInt, 90.1, 105.0 );
			SetSkill( SkillName.Magery, 90.1, 105.0 );
			SetSkill( SkillName.Meditation, 90.1, 105.0 );
			SetSkill( SkillName.MagicResist, 90.1, 105.0 );
			SetSkill( SkillName.Tactics, 80.1, 100.0 );
			SetSkill( SkillName.Wrestling, 40.1, 80.0 );

			Fame = 3500;
			Karma = -3500;

			VirtualArmor = 32;
		}
		
		public override int AuraDamageMin {get{return 20;}}		
		public override int AuraDamageMax {get{return 35;}}		
		
		public override double AuraChance {get{return 1;}} 
		public override int AuraDelayMin {get{return 7;}}
		public override int AuraDelayMax {get{return 14;}}
		
		public override int AuraEffectID {get{return 0x374A;}}			//effect item id shown on affected mobiles
		public override int AuraEffectType {get{return 9502;}}		//effect id shown on affected mobiles 9502
		public override int AuraEffectHue {get{return 37;}} 			//effect hue to show on affected mobiles 0x835
		public override int AuraEffectRender {get{return 3;}} 			//effect render mode to show on affected mobiles 0x496
		public override int AuraEffectSound {get{return 0x208;}}			//effect sound id to show on affected mobiles		
		
		public override int AuraDamagePhys {get{return 0;}}
		public override int AuraDamageFire {get{return 100;}}
		public override int AuraDamageCold {get{return 0;}}
		public override int AuraDamagePoison {get{return 0;}}
		public override int AuraDamageEnergy {get{return 0;}}
		public override int AuraDamageChaos {get{return 0;}}
		public override int AuraDamageDirect {get{return 0;}} 	
		
		public override TextDefinition AuraEffectText {get{return "You are engulfed in flames!";}}//cliloc/string sent to affected mobiles				
		public override int AuraRange {get{return 4;}}				//the range in tiles, of the aura
		public override bool AuraIgnoreLOS {get{return false;}}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Gems );
		}

		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override int TreasureMapLevel{ get{ return 1; } }
		public override int Meat{ get{ return 1; } }

		public FireGargoyle( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}